@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;400&display=swap");

:root {
  --primary-color: #22254b;
  --secondary-color: #373b69;
  --tertiary-color: rgba(166, 102, 185, 0.664);
  --dark-color: rgb(31, 21, 32);
}

* {
  box-sizing: border-box;
}

body {
  background-color: var(--primary-color);
  font-family: "Poppins", sans-serif;
  margin: 0;
}

header {
  padding: 1rem;
  display: flex;
  justify-content: space-between;
  background-color: var(--secondary-color);
}

#title {
  color: #fff;
  cursor: pointer;
  outline: none;
}

#title:focus {
  outline: none;
}

form {
  display: block;
  align-items: center;
  justify-content: center;
  padding: 1.5rem 0;
}

.search {
  position: relative;
  background-color: transparent;
  border: 2px solid var(--primary-color);
  border-radius: 50px;
  font-family: inherit;
  font-size: 1rem;
  padding: 0.5rem 1rem;
  color: #fff;
}

.search::placeholder {
  color: #7378c5;
}

.search:focus {
  outline: none;
  background-color: var(--primary-color);
}

.content {
  display: block;
  flex-wrap: wrap;
  padding: 0 3rem;
}

h2 {
  color: var(--tertiary-color);
  display: flex;
  align-items: left;
  justify-content: left;
  margin: 2rem 0 0;
}

main {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

.movie {
  width: 300px;
  margin: 1rem;
  background-color: var(--secondary-color);
  box-shadow: 0 4px 5px rgba(0, 0, 0, 0.2);
  position: relative;
  overflow: hidden;
  border-radius: 3px;
}

.movie img {
  width: 100%;
}

.movie img:focus {
  outline: none;
}

.movie-info {
  color: #eee;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.5rem 1rem 1rem;
  letter-spacing: 0.5px;
}

.movie-info h3 {
  margin-top: 0;
}

.movie-info span {
  background-color: var(--primary-color);
  padding: 0.25rem 0.5rem;
  border-radius: 3px;
  font-weight: bold;
}

.movie-info span.green {
  color: #44ff33;
}

.movie-info span.orange {
  color: orange;
}

.movie-info span.red {
  color: red;
}

.overview {
  background-color: #fff;
  padding: 2rem;
  position: absolute;
  left: 0;
  bottom: 0;
  right: 0;
  max-height: 100%;
  transform: translateY(101%);
  transition: transform 0.3s ease-in-out;
  overflow: auto;
}

.movie:hover .overview {
  transform: translateY(0);
}

.footer {
  text-align: center;
  color: #fff;
  font-size: 0.8rem;
  padding: 2rem 0;
}

.footer img {
  width: 300px;
}

.footer a:focus {
  outline: none;
}

.btn-search {
  background-color: transparent;
  border: 0;
  cursor: pointer;
  color: var(--dark-color);
  font-size: 24px;
  position: relative;
  top: 0;
  left: 0;
  height: 50px;
  width: 50px;
}

.btn-search:focus,
.input:focus {
  outline: none;
}
